ARCHS = arm64
TARGET = appletv
export GO_EASY_ON_ME=1
export SDKVERSION=10.2
THEOS_DEVICE_IP=etv.local

include $(THEOS)/makefiles/common.mk

BUNDLE_NAME = DDBSettings
DDBSettings_FILES = DDBSettingsController.m
DDBSettings_INSTALL_PATH = /Library/PreferenceBundles
DDBSettings_FRAMEWORKS = UIKit TVSettingKit
#DDBSettings_PRIVATE_FRAMEWORKS = Preferences
DDBSettings_LDFLAGS = -undefined dynamic_lookup
DDBSettings_CFLAGS+= -I. -ITVSettings -ITVSettingsKit

include $(THEOS_MAKE_PATH)/bundle.mk

internal-stage::
	$(ECHO_NOTHING)mkdir -p $(THEOS_STAGING_DIR)/Library/PreferenceLoader/Preferences$(ECHO_END)
	$(ECHO_NOTHING)cp entry.plist $(THEOS_STAGING_DIR)/Library/PreferenceLoader/Preferences/DDBSettings.plist$(ECHO_END)
